=== debian/control ===
Source: ros-humble-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-behaviortree-cpp-v3, ros-humble-lifecycle-msgs, ros-humble-plansys2-core, ros-humble-plansys2-domain-expert, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-cascade-lifecycle, ros-humble-rclcpp-lifecycle, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-humble-ament-index-cpp, ros-humble-behaviortree-cpp-v3, ros-humble-lifecycle-msgs, ros-humble-plansys2-core, ros-humble-plansys2-domain-expert, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-popf, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-cascade-lifecycle, ros-humble-rclcpp-lifecycle, ros-humble-std-msgs, ros-humble-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System
